package function

import org.assertj.core.api.Assertions.assertThat
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.TestInstance
import org.junit.jupiter.api.TestInstance.Lifecycle.PER_CLASS
import sexpression.Cons
import sexpression.Nil

@TestInstance(PER_CLASS)
class LispFunctionTest {

    @Test
    fun `arguments are evaluated`() {
        val lispFunction = object : LispFunction() {
            override fun call(argumentList: Cons) = Nil
        }

        assertThat(lispFunction.isArgumentListEvaluated).isTrue()
    }
}
